/*
 * File:   Communication_Handler.c
 * Author: rmcnamee
 *
 * Created on January 12, 2018, 1:41 PM
 */

#include "main.h"
#include "mcc_generated_files/memory.h"
#include "EEPROM_Functions.h"
#include "Switch_Functions.h"

unsigned short long EEPROM_DEVKIT_ADDRESS; 


void AssignEepromAddresses(void);


// Provides the setup needed for correct operation
void SetupEEPROM(void)
{    
    AssignEepromAddresses();
    // Insert any custom setup (saving/loading defaults, etc.) for EEPROM here
}

void AssignEepromAddresses(void)
{
    // Per the datasheet the EEPROM range is from 0x310000 to 0x3101FF
    // We assign addresses here because #define might not be able to contain the size of the address
    EEPROM_DEVKIT_ADDRESS = 0x310000;
}

// Reads the dev kit from the associated memory in EEPROM
devKitTypeEnum ReadDevKitFromEeprom(void)
{
    unsigned char kit;
    
    kit = DATAEE_ReadByte(EEPROM_DEVKIT_ADDRESS);
    
    return kit;
}

// Saves the current dev kit to the associated memory in EEPROM
void WriteDevKitToEeprom(devKitTypeEnum kit)
{
    DATAEE_WriteByte(EEPROM_DEVKIT_ADDRESS,kit);
}

